Function
split
Divides the contents of a sequence file into sequence file fragments separated by a file format specific delimiter.
split(stringSet, formatTag)
Include Headers
seqan/file.h
Parameters

stringSet | A ConcatDirect StringSet. The concat member (concatenation string) contains the contents of a sequence file. Types: ConcatDirect, MultiSeqFile
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
The concat member should contain the contents of the sequence file by a prior call of open.
This function expects a ConcatDirect StringSet and divides the underlying concatenation string into sequence fragments separated by a file format specific delimiter. After calling this function, the StringSet length is the number of sequence fragments and each fragment can be retrieved by value or getValue.
See Also
assignCroppedSeqId, assignSeqId, assignSeq, assignQualId, assignQual, guessFormat
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49